# Use ksshaskpass if it exists and we're using the plasma desktop
if [ "$DESKTOP_SESSION" = "/usr/share/xsessions/plasma" ]
then
	if [ -x /usr/bin/ksshaskpass ]
	then
		# Use KDE askpass
		export SSH_ASKPASS=/usr/bin/ksshaskpass
		echo "zsh: Using ksshaskpass"
	else
		echo "NOTICE: You're using the plasma desktop, but you don't have ksshaskpass installed?"
	fi
fi

